com.qualcomm.robotcore.hardware

## Class LynxModuleMetaList

- java.lang.Object
- - com.qualcomm.robotcore.hardware.LynxModuleMetaList

- All Implemented Interfaces:
    java.lang.Iterable<LynxModuleMeta>

      public class LynxModuleMetaList
      extends java.lang.Object
      implements java.lang.Iterable<LynxModuleMeta>

  `LynxModuleMetaList` is a container of `RobotCoreLynxModule`s. Its primary use is for transmission of module information from RC to DS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `LynxModuleMeta[]` | `modules`
    `SerialNumber` | `serialNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LynxModuleMetaList(SerialNumber serialNumber)`
    `LynxModuleMetaList(SerialNumber serialNumber, java.util.Collection<LynxModuleMeta> modules)`
    `LynxModuleMetaList(SerialNumber serialNumber, java.util.List<RobotCoreLynxModule> modules)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LynxModuleMetaList` | `flatten()`
    `static LynxModuleMetaList` | `fromSerializationString(java.lang.String serialization)`
    `LynxModuleMeta` | `getParent()`
    `java.util.Iterator<LynxModuleMeta>` | `iterator()`
    `java.lang.String` | `toSerializationString()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### serialNumber

          public SerialNumber serialNumber

    - #### modules

          public LynxModuleMeta[] modules

  - ### Constructor Detail

    - #### LynxModuleMetaList

          public LynxModuleMetaList(SerialNumber serialNumber)

    - #### LynxModuleMetaList

          public LynxModuleMetaList(SerialNumber serialNumber,
                                    java.util.Collection<LynxModuleMeta> modules)

    - #### LynxModuleMetaList

          public LynxModuleMetaList(SerialNumber serialNumber,
                                    java.util.List<RobotCoreLynxModule> modules)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<LynxModuleMeta> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<LynxModuleMeta>`

    - #### getParent

          public LynxModuleMeta getParent()

    - #### flatten

          protected LynxModuleMetaList flatten()

    - #### toSerializationString

          public java.lang.String toSerializationString()

    - #### fromSerializationString

          public static LynxModuleMetaList fromSerializationString(java.lang.String serialization)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`